/* $Id: constants.c,v 1.1.1.1 2004/11/02 03:57:58 mjp Exp $ */
#include "pysavi.h"
#include <Python.h>

static struct { char *sym; HRESULT hr; } sophos_constants[] = {
    /* Configuration option types */
    { "SOPHOS_TYPE_INVALID", SOPHOS_TYPE_INVALID },
    { "SOPHOS_TYPE_U08", SOPHOS_TYPE_U08 },
    { "SOPHOS_TYPE_U16", SOPHOS_TYPE_U16 },
    { "SOPHOS_TYPE_U32", SOPHOS_TYPE_U32 },
    { "SOPHOS_TYPE_S08", SOPHOS_TYPE_S08 },
    { "SOPHOS_TYPE_S16", SOPHOS_TYPE_S16 },
    { "SOPHOS_TYPE_S32", SOPHOS_TYPE_S32 },
    { "SOPHOS_TYPE_BOOLEAN", SOPHOS_TYPE_BOOLEAN },
    { "SOPHOS_TYPE_BYTESTREAM", SOPHOS_TYPE_BYTESTREAM },
    { "SOPHOS_TYPE_OPTION_GROUP", SOPHOS_TYPE_OPTION_GROUP },
    { "SOPHOS_TYPE_STRING", SOPHOS_TYPE_STRING },
    /* Type definitions for version checksum objects */
    { "SOPHOS_TYPE_VDATA", SOPHOS_TYPE_VDATA },
    { "SOPHOS_TYPE_BINARY", SOPHOS_TYPE_BINARY },
    /* Error severity definitions as used by ISeverityNotify */
    { "SOPHOS_ERROR_SEVERITY_SUCCESS", SOPHOS_ERROR_SEVERITY_SUCCESS },
    { "SOPHOS_ERROR_SEVERITY_TRANSIENT", SOPHOS_ERROR_SEVERITY_TRANSIENT },
    { "SOPHOS_ERROR_SEVERITY_UNKNOWN", SOPHOS_ERROR_SEVERITY_UNKNOWN },
    { "SOPHOS_ERROR_SEVERITY_SUSPEND_ACTIVITY", SOPHOS_ERROR_SEVERITY_SUSPEND_ACTIVITY },
    { "SOPHOS_ERROR_SEVERITY_REINIT_SAVI", SOPHOS_ERROR_SEVERITY_REINIT_SAVI },
    { "SOPHOS_ERROR_SEVERITY_REINSTALL_SAV", SOPHOS_ERROR_SEVERITY_REINSTALL_SAV },
    { "SOPHOS_ERROR_SEVERITY_CRITICAL", SOPHOS_ERROR_SEVERITY_CRITICAL },
    /* Virus types */
    { "SOPHOS_NO_VIRUS", SOPHOS_NO_VIRUS },
    { "SOPHOS_VIRUS_IDENTITY", SOPHOS_VIRUS_IDENTITY },
    { "SOPHOS_VIRUS_PATTERN", SOPHOS_VIRUS_PATTERN },
    { "SOPHOS_VIRUS_MACINTOSH", SOPHOS_VIRUS_MACINTOSH },
    { "SOPHOS_VIRUS", SOPHOS_VIRUS },
    /* Loaded IDE codes */
    { "SOPHOS_IDE_VDL_SUCCESS", SOPHOS_IDE_VDL_SUCCESS },
    { "SOPHOS_IDE_VDL_FAILED", SOPHOS_IDE_VDL_FAILED },
    { "SOPHOS_IDE_VDL_OLD_WARNING", SOPHOS_IDE_VDL_OLD_WARNING },
    { "SOPHOS_IDE_VDL_INVALID_VERSION", SOPHOS_IDE_VDL_INVALID_VERSION },
    /* External virus information source type codes */
    { "SOPHOS_TYPE_IDE", SOPHOS_TYPE_IDE },
    { "SOPHOS_TYPE_UPD", SOPHOS_TYPE_UPD },
    { "SOPHOS_TYPE_VDL", SOPHOS_TYPE_VDL },
    { "SOPHOS_TYPE_MAIN_VIRUS_DATA", SOPHOS_TYPE_MAIN_VIRUS_DATA },
    { "SOPHOS_TYPE_UNKNOWN", SOPHOS_TYPE_UNKNOWN },
    /* Values for the "Activity" parameter passed to OkToContinue() */
    { "SOPHOS_ACTVTY_CLASSIF", SOPHOS_ACTVTY_CLASSIF },
    { "SOPHOS_ACTVTY_NEXTFILE", SOPHOS_ACTVTY_NEXTFILE },
    { "SOPHOS_ACTVTY_DECOMPR", SOPHOS_ACTVTY_DECOMPR },
    /* Other values */
    { "SOPHOS_DOS_FILES", SOPHOS_DOS_FILES },
    { "SOPHOS_MAC_FILES", SOPHOS_MAC_FILES },
    { "SOPHOS_DOS_AND_MAC_FILES", SOPHOS_DOS_AND_MAC_FILES },
    { "SOPHOS_SEVERITY_SUCCESS", SOPHOS_SEVERITY_SUCCESS },
    { "SOPHOS_SEVERITY_ERROR", SOPHOS_SEVERITY_ERROR },
    { "SOPHOS_FACILITY_ITF", SOPHOS_FACILITY_ITF },
    /* SOPHOS_SAVI2 dups of error codes */
    { "SOPHOS_SAVI2_ERROR_INITIALISING", SOPHOS_SAVI2_ERROR_INITIALISING },
    { "SOPHOS_SAVI2_ERROR_TERMINATING", SOPHOS_SAVI2_ERROR_TERMINATING },
    { "SOPHOS_SAVI2_ERROR_SWEEPFAILURE", SOPHOS_SAVI2_ERROR_SWEEPFAILURE },
    { "SOPHOS_SAVI2_ERROR_VIRUSPRESENT", SOPHOS_SAVI2_ERROR_VIRUSPRESENT },
    { "SOPHOS_SAVI2_ERROR_NOT_INITIALISED", SOPHOS_SAVI2_ERROR_NOT_INITIALISED },
    { "SOPHOS_SAVI2_ERROR_IC_INCOMPATIBLE_VERSION", SOPHOS_SAVI2_ERROR_IC_INCOMPATIBLE_VERSION },
    { "SOPHOS_SAVI2_ERROR_IC_ACCESS_DENIED", SOPHOS_SAVI2_ERROR_IC_ACCESS_DENIED },
    { "SOPHOS_SAVI2_ERROR_IC_SCAN_PREVENTED", SOPHOS_SAVI2_ERROR_IC_SCAN_PREVENTED },
    { "SOPHOS_SAVI2_ERROR_DISINFECTION_FAILED", SOPHOS_SAVI2_ERROR_DISINFECTION_FAILED },
    { "SOPHOS_SAVI2_ERROR_DISINFECTION_UNAVAILABLE", SOPHOS_SAVI2_ERROR_DISINFECTION_UNAVAILABLE },
    { "SOPHOS_SAVI2_ERROR_UPGRADE_FAILED", SOPHOS_SAVI2_ERROR_UPGRADE_FAILED },
    { "SOPHOS_SAVI2_ERROR_SAV_NOT_INSTALLED", SOPHOS_SAVI2_ERROR_SAV_NOT_INSTALLED },
    { "SOPHOS_SAVI2_ERROR_INVALID_CONFIG_NAME", SOPHOS_SAVI2_ERROR_INVALID_CONFIG_NAME },
    { "SOPHOS_SAVI2_ERROR_INVALID_CONFIG_TYPE", SOPHOS_SAVI2_ERROR_INVALID_CONFIG_TYPE },
    { "SOPHOS_SAVI2_ERROR_INIT_CONFIGURATION", SOPHOS_SAVI2_ERROR_INIT_CONFIGURATION },
    { "SOPHOS_SAVI2_ERROR_NOT_SUPPORTED", SOPHOS_SAVI2_ERROR_NOT_SUPPORTED },
    { "SOPHOS_SAVI2_ERROR_COULD_NOT_OPEN", SOPHOS_SAVI2_ERROR_COULD_NOT_OPEN },
    { "SOPHOS_SAVI2_ERROR_FILE_COMPRESSED", SOPHOS_SAVI2_ERROR_FILE_COMPRESSED },
    { "SOPHOS_SAVI2_ERROR_FILE_ENCRYPTED", SOPHOS_SAVI2_ERROR_FILE_ENCRYPTED },
    { "SOPHOS_SAVI2_ERROR_INFORMATION_NOT_AVAILABLE", SOPHOS_SAVI2_ERROR_INFORMATION_NOT_AVAILABLE },
    { "SOPHOS_SAVI2_ERROR_ALREADY_INIT", SOPHOS_SAVI2_ERROR_ALREADY_INIT },
    { "SOPHOS_SAVI2_ERROR_STUB", SOPHOS_SAVI2_ERROR_STUB },
    { "SOPHOS_SAVI2_ERROR_BUFFER_TOO_SMALL", SOPHOS_SAVI2_ERROR_BUFFER_TOO_SMALL },
    { "SOPHOS_SAVI2_CBCK_CONTINUE_THIS", SOPHOS_SAVI2_CBCK_CONTINUE_THIS },
    { "SOPHOS_SAVI2_CBCK_CONTINUE_NEXT", SOPHOS_SAVI2_CBCK_CONTINUE_NEXT },
    { "SOPHOS_SAVI2_CBCK_STOP", SOPHOS_SAVI2_CBCK_STOP },
    { "SOPHOS_SAVI2_ERROR_CORRUPT", SOPHOS_SAVI2_ERROR_CORRUPT },
    { "SOPHOS_SAVI2_ERROR_REENTRANCY", SOPHOS_SAVI2_ERROR_REENTRANCY },
    { "SOPHOS_SAVI2_ERROR_CALLBACK", SOPHOS_SAVI2_ERROR_CALLBACK },
    { "SOPHOS_SAVI2_ERROR_PARTIAL_INFORMATION", SOPHOS_SAVI2_ERROR_PARTIAL_INFORMATION },
    { "SOPHOS_SAVI2_ERROR_OLD_VIRUS_DATA", SOPHOS_SAVI2_ERROR_OLD_VIRUS_DATA },
    { "SOPHOS_SAVI2_ERROR_INVALID_TMP", SOPHOS_SAVI2_ERROR_INVALID_TMP },
    { "SOPHOS_SAVI2_ERROR_MISSING_MAIN_VIRUS_DATA", SOPHOS_SAVI2_ERROR_MISSING_MAIN_VIRUS_DATA },
    { "SOPHOS_SAVI2_INFO_IC_ACTIVE", SOPHOS_SAVI2_INFO_IC_ACTIVE },
    { "SOPHOS_SAVI2_ERROR_VIRUS_DATA_INVALID_VER", SOPHOS_SAVI2_ERROR_VIRUS_DATA_INVALID_VER },
    { "SOPHOS_SAVI2_ERROR_MUST_REINIT", SOPHOS_SAVI2_ERROR_MUST_REINIT },
    { "SOPHOS_SAVI2_ERROR_CANNOT_SET_OPTION", SOPHOS_SAVI2_ERROR_CANNOT_SET_OPTION },
    { "SOPHOS_SAVI2_ERROR_PART_VOL", SOPHOS_SAVI2_ERROR_PART_VOL },
    /* SAVI error codes */
    { "SOPHOS_S_OK", SOPHOS_S_OK },
    { "SOPHOS_S_FALSE", SOPHOS_S_FALSE },
    { "SOPHOS_E_NOINTERFACE", SOPHOS_E_NOINTERFACE },
    { "SOPHOS_CLASS_E_NOAGGREGATION", SOPHOS_CLASS_E_NOAGGREGATION },
    { "SOPHOS_E_UNEXPECTED", SOPHOS_E_UNEXPECTED },
    { "SOPHOS_E_OUTOFMEMORY", SOPHOS_E_OUTOFMEMORY },
    { "SOPHOS_E_INVALIDARG", SOPHOS_E_INVALIDARG },
    { "SOPHOS_E_NOTIMPL", SOPHOS_E_NOTIMPL },
    { "SOPHOS_E_OUT_OF_DISK", SOPHOS_E_OUT_OF_DISK },
    { "SOPHOS_RPC_E_WRONG_THREAD", SOPHOS_RPC_E_WRONG_THREAD },
    { "SOPHOS_SAVI_ERROR_INITIALISING", SOPHOS_SAVI_ERROR_INITIALISING },
    { "SOPHOS_SAVI_ERROR_TERMINATING", SOPHOS_SAVI_ERROR_TERMINATING },
    { "SOPHOS_SAVI_ERROR_SWEEPFAILURE", SOPHOS_SAVI_ERROR_SWEEPFAILURE },
    { "SOPHOS_SAVI_ERROR_VIRUSPRESENT", SOPHOS_SAVI_ERROR_VIRUSPRESENT },
    { "SOPHOS_SAVI_ERROR_NOT_INITIALISED", SOPHOS_SAVI_ERROR_NOT_INITIALISED },
    { "SOPHOS_SAVI_ERROR_IC_INCOMPATIBLE_VERSION", SOPHOS_SAVI_ERROR_IC_INCOMPATIBLE_VERSION },
    { "SOPHOS_SAVI_ERROR_IC_ACCESS_DENIED", SOPHOS_SAVI_ERROR_IC_ACCESS_DENIED },
    { "SOPHOS_SAVI_ERROR_IC_SCAN_PREVENTED", SOPHOS_SAVI_ERROR_IC_SCAN_PREVENTED },
    { "SOPHOS_SAVI_ERROR_DISINFECTION_FAILED", SOPHOS_SAVI_ERROR_DISINFECTION_FAILED },
    { "SOPHOS_SAVI_ERROR_DISINFECTION_UNAVAILABLE", SOPHOS_SAVI_ERROR_DISINFECTION_UNAVAILABLE },
    { "SOPHOS_SAVI_ERROR_UPGRADE_FAILED", SOPHOS_SAVI_ERROR_UPGRADE_FAILED },
    { "SOPHOS_SAVI_ERROR_SAV_NOT_INSTALLED", SOPHOS_SAVI_ERROR_SAV_NOT_INSTALLED },
    { "SOPHOS_SAVI_ERROR_INVALID_CONFIG_NAME", SOPHOS_SAVI_ERROR_INVALID_CONFIG_NAME },
    { "SOPHOS_SAVI_ERROR_INVALID_CONFIG_TYPE", SOPHOS_SAVI_ERROR_INVALID_CONFIG_TYPE },
    { "SOPHOS_SAVI_ERROR_INIT_CONFIGURATION", SOPHOS_SAVI_ERROR_INIT_CONFIGURATION },
    { "SOPHOS_SAVI_ERROR_NOT_SUPPORTED", SOPHOS_SAVI_ERROR_NOT_SUPPORTED },
    { "SOPHOS_SAVI_ERROR_COULD_NOT_OPEN", SOPHOS_SAVI_ERROR_COULD_NOT_OPEN },
    { "SOPHOS_SAVI_ERROR_FILE_COMPRESSED", SOPHOS_SAVI_ERROR_FILE_COMPRESSED },
    { "SOPHOS_SAVI_ERROR_FILE_ENCRYPTED", SOPHOS_SAVI_ERROR_FILE_ENCRYPTED },
    { "SOPHOS_SAVI_ERROR_INFORMATION_NOT_AVAILABLE", SOPHOS_SAVI_ERROR_INFORMATION_NOT_AVAILABLE },
    { "SOPHOS_SAVI_ERROR_ALREADY_INIT", SOPHOS_SAVI_ERROR_ALREADY_INIT },
    { "SOPHOS_SAVI_ERROR_STUB", SOPHOS_SAVI_ERROR_STUB },
    { "SOPHOS_SAVI_ERROR_BUFFER_TOO_SMALL", SOPHOS_SAVI_ERROR_BUFFER_TOO_SMALL },
    { "SOPHOS_SAVI_CBCK_CONTINUE_THIS", SOPHOS_SAVI_CBCK_CONTINUE_THIS },
    { "SOPHOS_SAVI_CBCK_CONTINUE_NEXT", SOPHOS_SAVI_CBCK_CONTINUE_NEXT },
    { "SOPHOS_SAVI_CBCK_STOP", SOPHOS_SAVI_CBCK_STOP },
    { "SOPHOS_SAVI_ERROR_CORRUPT", SOPHOS_SAVI_ERROR_CORRUPT },
    { "SOPHOS_SAVI_ERROR_REENTRANCY", SOPHOS_SAVI_ERROR_REENTRANCY },
    { "SOPHOS_SAVI_ERROR_CALLBACK", SOPHOS_SAVI_ERROR_CALLBACK },
    { "SOPHOS_SAVI_ERROR_PARTIAL_INFORMATION", SOPHOS_SAVI_ERROR_PARTIAL_INFORMATION },
    { "SOPHOS_SAVI_ERROR_OLD_VIRUS_DATA", SOPHOS_SAVI_ERROR_OLD_VIRUS_DATA },
    { "SOPHOS_SAVI_ERROR_INVALID_TMP", SOPHOS_SAVI_ERROR_INVALID_TMP },
    { "SOPHOS_SAVI_ERROR_MISSING_MAIN_VIRUS_DATA", SOPHOS_SAVI_ERROR_MISSING_MAIN_VIRUS_DATA },
    { "SOPHOS_SAVI_INFO_IC_ACTIVE", SOPHOS_SAVI_INFO_IC_ACTIVE },
    { "SOPHOS_SAVI_ERROR_VIRUS_DATA_INVALID_VER", SOPHOS_SAVI_ERROR_VIRUS_DATA_INVALID_VER },
    { "SOPHOS_SAVI_ERROR_MUST_REINIT", SOPHOS_SAVI_ERROR_MUST_REINIT },
    { "SOPHOS_SAVI_ERROR_CANNOT_SET_OPTION", SOPHOS_SAVI_ERROR_CANNOT_SET_OPTION },
    { "SOPHOS_SAVI_ERROR_PART_VOL", SOPHOS_SAVI_ERROR_PART_VOL },
    { "SOPHOS_SAVI_INFO_OPT_GRP_INVAL_RTN", SOPHOS_SAVI_INFO_OPT_GRP_INVAL_RTN },
    { "SOPHOS_SAVI_CBCK_DEFAULT", SOPHOS_SAVI_CBCK_DEFAULT },
    { "SOPHOS_SAVI_ERROR_VDLD_ACTIVITY", SOPHOS_SAVI_ERROR_VDLD_ACTIVITY },
    { "SOPHOS_SAVI_ERROR_STREAM_READ_FAIL", SOPHOS_SAVI_ERROR_STREAM_READ_FAIL },
    { "SOPHOS_SAVI_ERROR_STREAM_WRITE_FAIL", SOPHOS_SAVI_ERROR_STREAM_WRITE_FAIL },
    { "SOPHOS_SAVI_ERROR_STREAM_SEEK_FAIL", SOPHOS_SAVI_ERROR_STREAM_SEEK_FAIL },
    { "SOPHOS_SAVI_ERROR_STREAM_GETLENGTH_FAIL", SOPHOS_SAVI_ERROR_STREAM_GETLENGTH_FAIL },
    { "SOPHOS_SAVI_ERROR_MISSING_VDL_PART", SOPHOS_SAVI_ERROR_MISSING_VDL_PART },
    { "SOPHOS_SAVI_WARNING_MISSING_VDL_PART", SOPHOS_SAVI_WARNING_MISSING_VDL_PART },
    { "SOPHOS_SAVI_ERROR_VDL_CHECKSUM", SOPHOS_SAVI_ERROR_VDL_CHECKSUM },
    { "SOPHOS_SAVI_WARNING_VDL_CHECKSUM", SOPHOS_SAVI_WARNING_VDL_CHECKSUM },
    { "SOPHOS_SAVI_ERROR_SCAN_ABORTED", SOPHOS_SAVI_ERROR_SCAN_ABORTED },
};

void
pysInitModuleConstants(PyObject *m) {
  int i;
  for (i = 0; i < sizeof(sophos_constants)/sizeof(sophos_constants[0]); i++) {
    PyModule_AddIntConstant(m, sophos_constants[i].sym, sophos_constants[i].hr);
  }
}
