/* $Id: pysaviUtil.h,v 1.2 2005/02/08 05:40:53 mjp Exp $ */
#ifndef __PYSAVIUTIL_H__
#define __PYSAVIUTIL_H__
#include "Python.h"
#include "csavi3c.h"

#ifdef DEBUG
# include <stdio.h>
# define DBG(f, ...)     fprintf(stderr, f, ##__VA_ARGS__)
#else
# define DBG(p, ...)
#endif /* DEBUG */

char * pysStrerror(HRESULT);
PyObject * pysRaiseError(HRESULT);

int pysPyObjHasMethod(PyObject *, const char *);

PyObject * pysIThingGetString(void *, HRESULT (SOPHOS_STDCALL_PUBLIC_PTR )(void *, U32, LPOLESTR, U32*));

PyObject * pysIThingGetInt(void *, HRESULT (SOPHOS_STDCALL_PUBLIC_PTR )(void *, U32 *));

#define pysIThingCheckIID(t, iid)     \
    (t && IsEqualIID(&((t)->typeCode), &(iid)))

#define pysIThingSafeRelease(t)       \
    do { if ((t)) { (t)->pVtbl->Release((t)); } } while (0);

#define pysIEnumReset(e)          ((e)->pVtbl->Reset((e)))

#define pysIEnumNext(e, fetch)    \
    ((e)->pVtbl->Next((e), 1, (void **)&(fetch), NULL))

#define pysIEnumSkip(e, skip)    \
    ((e)->pVtbl->Skip((e), (SOPHOS_ULONG)(skip)))

#endif /* __PYSAVIUTIL_H__ */
