#!/usr/bin/env python

# $Id: setup.py,v 1.2 2005/03/11 03:20:30 mjp Exp $

from distutils.core import setup, Extension

SUBDIR = 'sav_if'          # from sophie-1.16
LIBDIR = '/usr/local/lib'  # default for SAVI installation

sources = [ 'pysavi/pysavi%s.c' % x for x in ('Stream', 'Callbacks', 'Enum','Util','Elements') ]
sources.append('pysavi/_savimodule.c')
sources.append('pysavi/constants.c')

setup (# Distribution meta-data
        name = "pysavi",
        version = "0.31",
        description = "Python Sophos AntiVirus interface",
        author = "Michael J. Pomraning",
        author_email = "mjp-pysavi@pilcrow.madison.wi.us",
        license = "GPL",
        long_description = '''An interface to the Sophos Anti-Virus library''',
        packages  = [ 'pysavi' ],
        ext_modules = [ Extension(
                            "pysavi._savimodule",
                            sources,
                            library_dirs = [ LIBDIR ],
                            #define_macros = [ ("DEBUG", None), ],
			    libraries = ['savi' ],
                            include_dirs=[ SUBDIR ]
                        ) 
                      ],
        url = "http://pilcrow.madison.wi.us/pysavi",
      )

